﻿namespace FE_FX
{
    //------------------------------------------------------------------------------
    // <auto-generated>
    //     Este código fue generado por una herramienta.
    //     Versión del motor en tiempo de ejecución:2.0.50727.5485
    //
    //     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
    //     se vuelve a generar el código.
    // </auto-generated>
    //------------------------------------------------------------------------------

    using System.Xml.Serialization;

    // 
    // This source code was auto-generated by xsd, Version=2.0.50727.3038.
    // 


    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/leyendasFiscales")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://www.sat.gob.mx/leyendasFiscales", IsNullable = false)]
    public partial class LeyendasFiscales
    {

        private LeyendasFiscalesLeyenda[] leyendaField;

        private string versionField;

        public LeyendasFiscales()
        {
            this.versionField = "1.0";
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("Leyenda")]
        public LeyendasFiscalesLeyenda[] Leyenda
        {
            get
            {
                return this.leyendaField;
            }
            set
            {
                this.leyendaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/leyendasFiscales")]
    public partial class LeyendasFiscalesLeyenda
    {

        private string disposicionFiscalField;

        private string normaField;

        private string textoLeyendaField;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string disposicionFiscal
        {
            get
            {
                return this.disposicionFiscalField;
            }
            set
            {
                this.disposicionFiscalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string norma
        {
            get
            {
                return this.normaField;
            }
            set
            {
                this.normaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string textoLeyenda
        {
            get
            {
                return this.textoLeyendaField;
            }
            set
            {
                this.textoLeyendaField = value;
            }
        }
    }
}
